
use "Z:\Research\Chinese social preferences\experimental data1.dta"

*****************FIGURE 4.1************************

tab giving

*****************FIGURE 4.2************************

sum giving

sum giving if treatment==1
sum giving if treatment==2
sum giving if treatment==3
sum giving if treatment==4

*********************NON PARAMETRIC TESTS****************************

keep if treatment==1|treatment==2

ranksum giving, by(treatment)

   preserve
   program define mean_difference, rclass
    sum giving if D1==1, meanonly
    local t1=r(mean)
    sum giving if D1==0, meanonly
    local t2=r(mean)
    return scalar diff = `t1'-`t2'
    end
    tsrtest D1 r(diff)  :  mean_difference
	program drop _all
	restore

	use "Z:\Research\Chinese social preferences\experimental data1.dta", clear

	keep if treatment==1|treatment==3

	ranksum giving, by(treatment)

   preserve
   program define mean_difference, rclass
    sum giving if D1==1, meanonly
    local t1=r(mean)
    sum giving if D1==0, meanonly
    local t2=r(mean)
    return scalar diff = `t1'-`t2'
    end
    tsrtest D1 r(diff)  :  mean_difference
	program drop _all
	restore

	
	use "Z:\Research\Chinese social preferences\experimental data1.dta", clear

		keep if treatment==1|treatment==4

		ranksum giving, by(treatment)

   preserve
   program define mean_difference, rclass
    sum giving if D1==1, meanonly
    local t1=r(mean)
    sum giving if D1==0, meanonly
    local t2=r(mean)
    return scalar diff = `t1'-`t2'
    end
    tsrtest D1 r(diff)  :  mean_difference
	program drop _all
	restore

	use "Z:\Research\Chinese social preferences\experimental data1.dta", clear

	
		keep if treatment==2|treatment==3

		ranksum giving, by(treatment)

   preserve
   program define mean_difference, rclass
    sum giving if D2==1, meanonly
    local t1=r(mean)
    sum giving if D2==0, meanonly
    local t2=r(mean)
    return scalar diff = `t1'-`t2'
    end
    tsrtest D2 r(diff)  :  mean_difference
	program drop _all
	restore

	
	use "Z:\Research\Chinese social preferences\experimental data1.dta", clear

	
			keep if treatment==2|treatment==4

			ranksum giving, by(treatment)

   preserve
   program define mean_difference, rclass
    sum giving if D2==1, meanonly
    local t1=r(mean)
    sum giving if D2==0, meanonly
    local t2=r(mean)
    return scalar diff = `t1'-`t2'
    end
    tsrtest D2 r(diff)  :  mean_difference
	program drop _all
	restore

	
	use "Z:\Research\Chinese social preferences\experimental data1.dta", clear

	
				keep if treatment==3|treatment==4

				ranksum giving, by(treatment)

   preserve
   program define mean_difference, rclass
    sum giving if D3==1, meanonly
    local t1=r(mean)
    sum giving if D3==0, meanonly
    local t2=r(mean)
    return scalar diff = `t1'-`t2'
    end
    tsrtest D3 r(diff)  :  mean_difference
	program drop _all
	restore

	
	use "Z:\Research\Chinese social preferences\experimental data1.dta", clear

	
	*****************TOBIT REGRESSIONS*******************
	

tobit giving D2 D3 D4 male older married religion single_child Children highschool_above  rural higher_income, ll ul vce(robust)
test D2=D3
test D2=D4
test D3=D4


tobit giving D2 D3 D4 male older married religion single_child Children highschool_above  rural higher_income Importance_of_Family Importance_of_Friends Importance_of_Leisure Importance_of_Politics Importance_of_Work Importance_of_Religion interest_other_culture public_good collectivism, ll ul vce(robust)
test D2=D3
test D2=D4
test D3=D4


******************TREATMENT/VARIABLE INTERACTIONS****************

sum giving if treatment==1 & male==1
sum giving if treatment==2 & male==1
sum giving if treatment==3 & male==1
sum giving if treatment==4 & male==1

sum giving if treatment==1 & male==0
sum giving if treatment==2 & male==0
sum giving if treatment==3 & male==0
sum giving if treatment==4 & male==0


tobit giving D2 D3 D4 male male_D2 male_D3 male_D4 older married religion single_child Children highschool_above  rural higher_income Importance_of_Family Importance_of_Friends Importance_of_Leisure Importance_of_Politics Importance_of_Work Importance_of_Religion interest_other_culture public_good collectivism, ll ul vce(robust)
test male_D2=male_D3
test male_D2=male_D4
test male_D3=male_D4


sum giving if treatment==1 & older==1
sum giving if treatment==2 & older==1
sum giving if treatment==3 & older==1
sum giving if treatment==4 & older==1

sum giving if treatment==1 & older==0
sum giving if treatment==2 & older==0
sum giving if treatment==3 & older==0
sum giving if treatment==4 & older==0

tobit giving D2 D3 D4 male older older_D2 older_D3 older_D4 married religion single_child Children highschool_above  rural higher_income Importance_of_Family Importance_of_Friends Importance_of_Leisure Importance_of_Politics Importance_of_Work Importance_of_Religion interest_other_culture public_good collectivism, ll ul vce(robust)
test older_D2=older_D3
test older_D2=older_D4
test older_D3=older_D4


sum giving if treatment==1 & highschool_above==1
sum giving if treatment==2 & highschool_above==1
sum giving if treatment==3 & highschool_above==1
sum giving if treatment==4 & highschool_above==1

sum giving if treatment==1 & highschool_above==0
sum giving if treatment==2 & highschool_above==0
sum giving if treatment==3 & highschool_above==0
sum giving if treatment==4 & highschool_above==0

tobit giving D2 D3 D4 male older married religion single_child Children highschool_above highschool_above_D2 highschool_above_D3 highschool_above_D4 rural higher_income Importance_of_Family Importance_of_Friends Importance_of_Leisure Importance_of_Politics Importance_of_Work Importance_of_Religion interest_other_culture public_good collectivism, ll ul vce(robust)
test highschool_above_D2=highschool_above_D3
test highschool_above_D2=highschool_above_D4
test highschool_above_D3=highschool_above_D4


sum giving if treatment==1 & rural==1
sum giving if treatment==2 & rural==1
sum giving if treatment==3 & rural==1
sum giving if treatment==4 & rural==1

sum giving if treatment==1 & rural==0
sum giving if treatment==2 & rural==0
sum giving if treatment==3 & rural==0
sum giving if treatment==4 & rural==0

tobit giving D2 D3 D4 male older married religion single_child Children highschool_above rural rural_D2 rural_D3 rural_D4 higher_income Importance_of_Family Importance_of_Friends Importance_of_Leisure Importance_of_Politics Importance_of_Work Importance_of_Religion interest_other_culture public_good collectivism, ll ul vce(robust)
test rural_D2=rural_D3
test rural_D2=rural_D4
test rural_D3=rural_D4


sum giving if treatment==1 & higher_income==1
sum giving if treatment==2 & higher_income==1
sum giving if treatment==3 & higher_income==1
sum giving if treatment==4 & higher_income==1

sum giving if treatment==1 & higher_income==0
sum giving if treatment==2 & higher_income==0
sum giving if treatment==3 & higher_income==0
sum giving if treatment==4 & higher_income==0


tobit giving D2 D3 D4 male older married religion single_child Children highschool_above rural higher_income higher_income_D2 higher_income_D3 higher_income_D4 Importance_of_Family Importance_of_Friends Importance_of_Leisure Importance_of_Politics Importance_of_Work Importance_of_Religion interest_other_culture public_good collectivism, ll ul vce(robust)
test higher_income_D2=higher_income_D3
test higher_income_D2=higher_income_D4
test higher_income_D3=higher_income_D4


sum giving if treatment==1 & interest_other_culture==1
sum giving if treatment==2 & interest_other_culture==1
sum giving if treatment==3 & interest_other_culture==1
sum giving if treatment==4 & interest_other_culture==1

sum giving if treatment==1 & interest_other_culture==0
sum giving if treatment==2 & interest_other_culture==0
sum giving if treatment==3 & interest_other_culture==0
sum giving if treatment==4 & interest_other_culture==0

tobit giving D2 D3 D4 male older married religion single_child Children highschool_above rural higher_income Importance_of_Family Importance_of_Friends Importance_of_Leisure Importance_of_Politics Importance_of_Work Importance_of_Religion interest_other_culture interest_other_culture_D2 interest_other_culture_D3 interest_other_culture_D4 public_good collectivism, ll ul vce(robust)
test interest_other_culture_D2=interest_other_culture_D3
test interest_other_culture_D2=interest_other_culture_D4
test interest_other_culture_D3=interest_other_culture_D4


sum giving if treatment==1 & collectivism==1
sum giving if treatment==2 & collectivism==1
sum giving if treatment==3 & collectivism==1
sum giving if treatment==4 & collectivism==1

sum giving if treatment==1 & collectivism==0
sum giving if treatment==2 & collectivism==0
sum giving if treatment==3 & collectivism==0
sum giving if treatment==4 & collectivism==0

tobit giving D2 D3 D4 male older married religion single_child Children highschool_above rural higher_income Importance_of_Family Importance_of_Friends Importance_of_Leisure Importance_of_Politics Importance_of_Work Importance_of_Religion interest_other_culture public_good collectivism collectivism_D2 collectivism_D3 collectivism_D4, ll ul vce(robust)
